Skip to content

CIS SecureSuite Platform

The CIS SecureSuite Platform resource enables you to view a list of and download available versions of the CIS SecureSuite Platform.

What is the CIS SecureSuite Platform?

The CIS SecureSuite Platform is a unified platform for CIS SecureSuite Members that provides organizations with the ability to assess their cybersecurity posture against the CIS Critical Security Controls and to demonstrate conformance with the CIS Benchmarks. The platform combines the features and capabilities of CIS CSAT Pro and CIS-CAT Pro Dashboard into an intuitive interface that offers organizations critical first steps to improve their cybersecurity posture.


List Available Versions

GET /securesuite-platform/versions

View the list of CIS SecureSuite Platform versions available for download.

Request

N/A

Response

Returns a list of versions of CIS-CAT available for download.

Properties

Media type: application/json

name
string
The name of the CIS SecureSuite Platform release.
path
string
The path, relative to the base URL, which can be used to download the specified version..

Example

Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/securesuite-platform/versions"
Response - 200 OK
[
    {
    "name": "CIS SecureSuite Platform v1.2.0",
    "path": "/securesuite-platform/1.2.0"
    },
    {
    "name": "CIS SecureSuite Platform v1.2.1",
    "path": "/securesuite-platform/1.2.1"
    },
    {
    "name": "CIS SecureSuite Platform v1.3.0",
    "path": "/securesuite-platform/1.3.0"
    },
    {
    "name": "CIS SecureSuite Platform v1.4.0",
    "path": "/securesuite-platform/1.4.0"
    }
]


List Available Bundles

GET /securesuite-platform/{version}/bundles

View a list of the available bundles for a version of CIS SecureSuite Platform.

Note

Use the List Available Versions to view a list of available versions.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748
Path Parameters
version
string
The version number identifier for the CIS SecureSuite Platform version, e.g. '1.4.0'.

Response

Returns the bundle options available for the specified version of CIS-CAT.

Media type: application/json

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/pro/4.59.0/bundles"
Response - 200 OK
{
"linux":[
    {
        "name":"CIS SecureSuite Platform 1.4.0 Linux",
        "path":"\/api\/vendor\/v1\/securesuite-platform\/1.4.0\/linux"
    }
],
"windows":[
    {
        "name":"CIS SecureSuite Platform 1.4.0 Windows",
        "path":"\/api/vendor\/v1\/securesuite-platform\/1.4.0\/windows"
    }
]
}

Download Latest Version

GET /securesuite-platform/latest

Download the latest version of the CIS SecureSuite Platform.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748

Response

Returns the ZIP bundle with the requested CIS SecureSuite Platform release version.

Media type: /application/zip

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/securesuite-platform/latest"

Download Specific Version

GET /securesuite-platform/{version}/{operatingSystem}

Download a specified version of CIS SecureSuite Platform.

Tip

Use the List Available Bundles endpoint to view a list of available bundles for a particular CIS SecureSuite Platform version.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748
Path Parameters
version
string
The version number identifier for the CIS SecureSuite Platform bundle to be downloaded, e.g., 1.4.0.
operatingSystem
string
The operating system of the bundle to be downloaded.

Options: windows and linux

Note

Providing the version number without specifying the operating system parameters will default to the Windows bundle.

Response

Returns a ZIP bundle with the requested CIS SecureSuite Platform version.

Media type: /application/zip

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/cis-cat/pro/4.59.0/windows/with_java/with_gui"